Subject: bug#10808: gnus-summary-cancel-article does not check from-address of current group

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Feb 2014 18:49:03 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> Peter Münster <[email-masked]> writes:
>
>> Thanks for this hint! There are 264 Emacs Lisp load-path shadowings.
>> So, there is perhaps a problem...
>> My emacs is in ~peter/emacs and my gnus in ~peter/emacs/packages/gnus
>>
>> I guess that it's ok when ~peter/emacs/packages/gnus/lisp/xxx
>> shadows ~peter/emacs/lisp/xxx. What do you think?
>
> Yes, that should be fine.  I couldn't see anything hiding files "the
> opposite way"...

D'oh.  `user-mail-address' was buffer-local in some of the buffers, so
the `let' binding didn't really do the right thing.

I've now redone this a bit.  Could you check whether git Gnus works now?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/